Bug 439889 - radeon_tp: 3D driver returned no fbconfigs
radeon_tp: 3D driver returned no fbconfigs
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
5.2
ia64 Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 17:20 EDT by wdc
Modified: 2012-04-17 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 16:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of glxinfo (5.04 KB, text/plain)
2008-03-31 17:20 EDT, wdc
no flags Details
X server log output (120.38 KB, text/plain)
2008-03-31 17:21 EDT, wdc
no flags Details
xorg config file. Fresh install RHEL 5.2 beta (571 bytes, text/plain)
2008-03-31 17:22 EDT, wdc
no flags Details

  None (edit)
Description wdc 2008-03-31 17:20:23 EDT
Description of problem:

I'm trying out the new radeon_tp driver included in the RHEL 5.2 beta.
(BTW: NICE JOB getting it this far along. I've been REALLY frustrated
by the behavior of the VESA driver on my Radeon X1300 platform.)

When I run glxgears to see how fast we're doing frame updates,
or glxinfo to learn about the GL behavior, I get the error:


Version-Release number of selected component (if applicable):

unknown chip id 0x7183, can't guess.
libGL warning: 3D driver returned no fbconfigs.
libGL error: InitDriver failed
libGL error: reverting to (slow) indirect rendering

Is this normal at the present evolution of the driver?
Or is there some 3d initialization that should be done to get out to the
Mesa OpenGL library that isn't being done.

How can I help?

How reproducible:

100%.  Every time.

Steps to Reproduce:
1. log in
2. run glxgears
3.
  
Actual results:

slow rendering

Expected results:

fast rendering

Additional info:
Comment 1 wdc 2008-03-31 17:20:23 EDT
Created attachment 299763 [details]
output of glxinfo
Comment 2 wdc 2008-03-31 17:21:22 EDT
Created attachment 299764 [details]
X server log output
Comment 3 wdc 2008-03-31 17:22:14 EDT
Created attachment 299765 [details]
xorg config file.  Fresh install RHEL 5.2 beta
Comment 5 wdc 2008-04-14 17:58:47 EDT
I'm sorry to be a pest here, but I'd REALLY like enough of the radeon_tp driver
to be working for it to be what MIT, and anybody else who buys Dell Optiplex
Desktops, to standardize upon as quickly as possible.

Could someone at least answer for me:  Is the driver known to be not fleshed out
far enough to do the 3d detection properly?
Comment 6 Dave Airlie 2008-04-14 18:02:08 EDT
there is no 3D support for these chips available yet. Upstream has reached a
point where gears is runnable, but there is a fair bit of work on the 3D engine
before it could be considered shippable



Comment 7 wdc 2008-04-17 16:52:25 EDT
Thanks very much for that information.  I'm sure 3D support will eventually work
in the fullness of time.  At least now I know that it's missing functionality, not
something "broken" per se.
Comment 8 Adam Jackson 2012-04-17 16:07:27 EDT
No further hardware enablement updates are planned for RHEL5's X stack.  If this issue remains in RHEL6, please update the affected product version and reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.